#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xDD,0xAC,0x5E,0x63,0xEC,0x38,0xA3,0xE8,0x61,0xF2,0xE3,0xC9,
		0x84,0x07,0x9C,0xD3,0x5F,0x4B,0x80,0xFA,0x11,0x33,0xA2,0x4E,
		0x7E,0xCA,0x97,0xED,0x67,0x90,0x71,0x9F,0x5D,0x48,0x10,0x71,
		0x19,0x42,0xC6,0x4C,0xFB,0xCC,0x86,0x01,0xFC,0x64,0xF8,0x00,
		0x76,0xF4,0xED,0x0D,0x92,0x59,0x53,0x7A,0xC9,0xC5,0xD8,0x31,
		0x71,0x5C,0x9C,0x47,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
